Bug 1774953 - GET katello/api/v2/subscriptions/:id always fails with error: This subscription is not relevant to the current organization
Summary: GET katello/api/v2/subscriptions/:id always fails with error: This subscripti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-21 10:29 UTC by Kunxin Huang
Modified: 2020-04-14 13:27 UTC (History)
8 users (show)

Fixed In Version: rubygem-katello-3.14.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28327 Normal Closed GET katello/api/v2/subscriptions/:id always fails with error: This subscription is not relevant to the current organizat... 2020-11-04 12:38:27 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Comment 3 Samir Jha 2019-11-22 01:13:09 UTC
Created redmine issue http://projects.theforeman.org/issues/28327 from this bug

Comment 6 Bryan Kearney 2019-11-26 23:05:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28327 has been resolved.

Comment 7 Stephen Wadeley 2020-01-29 20:46:38 UTC
see also
Bug 1787147 - An admin cannot GET subscription/manifest uploaded in org created by another admin

Comment 8 jcallaha 2020-02-05 21:48:03 UTC
Verified in Satellite 6.7 Snap 10

[root@dhcp-3-103 ~]# curl -X GET -k -u admin:password https://my.sat.host/katello/api/v2/subscriptions/14 | python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  1030    0  1030    0     0   2189      0 --:--:-- --:--:-- --:--:--  2186
{
    "account_number": 477931,
    "activation_keys": [],
    "addons": null,
    "arch": "x86_64",
    "available": 1,
    "consumed": 0,
    "contract_number": -----,
    "cores": null,
    "cp_id": "-----",
    "description": "Red Hat Enterprise Linux",
    "end_date": "2022-01-01 04:59:59 UTC",
    "host_count": 0,
    "id": 14,
    "instance_multiplier": 1,
    "multi_entitlement": false,
    "name": "Red Hat Enterprise Linux Atomic Host",
    "product_id": "RH00384",
    "product_name": "Red Hat Enterprise Linux Atomic Host",
    "provided_products": [
        {
            "id": 81,
            "name": "Red Hat Enterprise Linux Atomic Host"
        },
        {
            "id": 84,
            "name": "Red Hat Enterprise Linux Atomic Host Beta"
        },
        {
            "id": 87,
            "name": "Red Hat Container Images"
        },
        {
            "id": 89,
            "name": "Red Hat Container Images Beta"
        }
    ],
    "quantity": 1,
    "ram": null,
    "role": null,
    "sockets": null,
    "stacking_id": null,
    "start_date": "2016-08-05 04:00:00 UTC",
    "subscription_id": 8,
    "support_level": "Layered",
    "support_type": "L1-L3",
    "type": "NORMAL",
    "unmapped_guest": false,
    "upstream": true,
    "upstream_pool_id": "-----",
    "usage": null,
    "virt_only": false,
    "virt_who": false
}

Comment 11 errata-xmlrpc 2020-04-14 13:27:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.